/* simple-dialog.c
 *
 * Copyright 2012, QA Cafe <info@qacafe.com>
 *
 * $Id$
 *
 * Wireshark - Network traffic analyzer
 * By Gerald Combs <gerald@wireshark.org>
 * Copyright 1998 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/* This module provides a minimal cli implementaion of simple dialogs.
 * It is only used by tshark and not wireshark.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <glib.h>
#include <stdio.h>
#include <ui/simple_dialog.h>
#include "ws_attributes.h"

gpointer
simple_dialog(
  ESD_TYPE_E    type _U_,
  gint          btn_mask _U_,
  const gchar * msg_format,
  ...
  )
{
  va_list       ap;

  va_start(ap, msg_format);
  vfprintf(stderr, msg_format, ap);
  va_end(ap);

  return NULL;
}

void
simple_message_box(ESD_TYPE_E type _U_, gboolean *notagain _U_,
                   const char *secondary_msg, const char *msg_format, ...)
{
  va_list ap;
  va_start(ap, msg_format);
  vfprintf(stderr, msg_format, ap);
  va_end(ap);

  fprintf(stderr, "%s\n", secondary_msg);
}

/*
 * Error alert box, taking a format and a va_list argument.
 */
void
vsimple_error_message_box(const char *msg_format, va_list ap)
{
  vfprintf(stderr, msg_format, ap);
}

